BINDIR=${CURDIR}/bin
PACKAGE=route256/cart

PKGS = $(shell go list ./... | grep -vE 'mock|config|generated|header|document|internal/pb')

bindir:
	mkdir -p ${BINDIR}

build: bindir
	echo "build cart"
	go build -o ${BINDIR}/cart cmd/server/main.go

coverage:
	@go test -race -coverprofile=coverage.txt -covermode=atomic $(PKGS)
	@go tool cover -html=coverage.txt -o coverage.html
